Index: sansmodels/src/sans/models/test/CMSphere5.txt
===================================================================
--- sansmodels/src/sans/models/test/CMSphere5.txt	(revision 458c93012c3d10917123fcc7df826c1ce162fb12)
+++ sansmodels/src/sans/models/test/CMSphere5.txt	(revision 458c93012c3d10917123fcc7df826c1ce162fb12)
@@ -0,0 +1,100 @@
+0.001278	54.9380924003798	37.0601175120843	0.0002847	0.001309	0.9969
+0.001562	55.9867418157196	18.7060721785266	0.0002905	0.001586	1
+0.001846	53.560827622232	12.1975438809796	0.0002956	0.001866	1
+0.00213	56.0611368219615	9.35924816875345	0.0003017	0.002147	1
+0.002414	54.9105450986387	7.41016498457617	0.0003087	0.002429	1
+0.002698	52.6206676026623	6.045008707986	0.0003165	0.002712	1
+0.002982	54.3487185926871	5.26582738584293	0.0003249	0.002994	1
+0.003266	53.1519252869778	4.55658543376789	0.000334	0.003277	1
+0.00355	50.3956985471045	3.94388487999297	0.0003437	0.00356	1
+0.003834	52.3077243923509	3.61620396245673	0.0003539	0.003843	1
+0.004118	48.9775315111468	3.18108860178174	0.0003646	0.004127	1
+0.004402	47.851863958769	2.88229340467268	0.0003757	0.00441	1
+0.004686	48.120403795601	2.66803353208751	0.0003872	0.004694	1
+0.00497	46.6358007278057	2.43894320769947	0.000399	0.004977	1
+0.005253	46.7096327873935	2.27814819504774	0.0004112	0.005261	1
+0.005537	44.7668346304486	2.0908757003657	0.0004237	0.005544	1
+0.005821	44.5102618760759	1.9622356317224	0.0004365	0.005828	1
+0.006105	43.8317929116779	1.83904398707451	0.0004495	0.006111	1
+0.006389	42.8115820491762	1.7218568467313	0.0004628	0.006395	1
+0.006673	40.6287017456067	1.59351619354822	0.0004762	0.006679	1
+0.006957	38.9273825772724	1.48551934346209	0.0004899	0.006963	1
+0.007241	39.4347686851588	1.42720701725474	0.0005037	0.007246	1
+0.007525	37.3896037689509	1.32928345624222	0.0005177	0.00753	1
+0.007809	35.6306787321893	1.24357164292396	0.0005318	0.007814	1
+0.008093	35.530501695638	1.19214934795332	0.0005461	0.008098	1
+0.008377	34.0993161167952	1.12297345606099	0.0005605	0.008381	1
+0.008661	32.9897133648153	1.06364208149705	0.000575	0.008665	1
+0.008945	32.1518950821748	1.01254716257906	0.0005896	0.008949	1
+0.009229	29.8897142444819	0.942611834366517	0.0006044	0.009233	1
+0.009513	28.9877911868164	0.897338521326267	0.0006192	0.009517	1
+0.009797	28.8671346812142	0.866582969308467	0.0006341	0.0098	1
+0.01008	26.9433496519676	0.811046621571466	0.0006491	0.01008	1
+0.01036	26.6574283650013	0.782285336779699	0.0006641	0.01037	1
+0.01065	24.3082221946571	0.725049547803642	0.0006793	0.01065	1
+0.01093	23.8126250954449	0.697116877376645	0.0006945	0.01094	1
+0.01122	23.1785075655241	0.668667535089826	0.0007097	0.01122	1
+0.0115	21.9740009615986	0.633465328879644	0.0007251	0.0115	1
+0.01178	20.6925854394778	0.59854083649735	0.0007404	0.01179	1
+0.01207	19.7807301988479	0.570199138755696	0.0007558	0.01207	1
+0.01235	18.3816218241588	0.535922420693967	0.0007713	0.01235	1
+0.01264	18.3908707649353	0.522982665113434	0.0007868	0.01264	1
+0.01292	16.6161700838934	0.485273055949626	0.0008024	0.01292	1
+0.0132	16.0777395370208	0.466244845015208	0.000818	0.01321	1
+0.01349	15.263459197006	0.443959969486881	0.0008336	0.01349	1
+0.01377	14.1821386233677	0.418435336883356	0.0008493	0.01377	1
+0.01406	13.502938686688	0.399416793154326	0.000865	0.01406	1
+0.01434	12.7120240406905	0.379297079863246	0.0008807	0.01434	1
+0.01462	12.3555872971682	0.366151201613803	0.0008965	0.01463	1
+0.01491	11.2547046019901	0.342326858530752	0.0009123	0.01491	1
+0.01519	10.9244250567462	0.330521180210077	0.0009281	0.01519	1
+0.01547	10.035672955121	0.310579708660702	0.000944	0.01548	1
+0.01576	9.54857095265672	0.297122712018445	0.0009598	0.01576	1
+0.01604	9.13262277183969	0.285096505677118	0.0009757	0.01604	1
+0.01633	8.08125471450095	0.263218034782734	0.0009916	0.01633	1
+0.01661	7.81396931095573	0.25412252707745	0.001008	0.01661	1
+0.01689	7.15622633154717	0.238849321076674	0.001024	0.0169	1
+0.01718	6.58315875573461	0.225067254333071	0.001039	0.01718	1
+0.01746	6.43230960958337	0.218637916921313	0.001055	0.01746	1
+0.01774	5.90542211293399	0.205941307480525	0.001071	0.01775	1
+0.01803	5.4581186471037	0.194688473505747	0.001088	0.01803	1
+0.01831	5.22827912984443	0.187421561660762	0.001104	0.01831	1
+0.0186	4.88437306640718	0.178230788618277	0.00112	0.0186	1
+0.01888	4.42899966633438	0.167025306994807	0.001136	0.01888	1
+0.01916	4.17549684846924	0.159640879027805	0.001152	0.01917	1
+0.01945	3.78069785571845	0.149569359258851	0.001168	0.01945	1
+0.01973	3.57736677843592	0.143287334425684	0.001184	0.01973	1
+0.02002	3.32715311708635	0.136123026207964	0.0012	0.02002	1
+0.0203	3.0976943461779	0.129413735491718	0.001216	0.0203	1
+0.02058	2.8778429506358	0.122929031089926	0.001232	0.02058	1
+0.02087	2.59549794256613	0.115075351147255	0.001249	0.02087	1
+0.02115	2.34203393868523	0.107772572065675	0.001265	0.02115	1
+0.02143	2.23234126433142	0.103757094440139	0.001281	0.02144	1
+0.02172	2.06670267290386	0.0984659657480468	0.001297	0.02172	1
+0.022	1.96040951516539	0.0946044762011819	0.001313	0.022	1
+0.02228	1.77196064410215	0.088743341386574	0.001329	0.02229	1
+0.02257	1.63708077448337	0.0841766166945712	0.001346	0.02257	1
+0.02285	1.53159863781081	0.0803621902602349	0.001362	0.02285	1
+0.02314	1.42479800116411	0.0765159633096708	0.001378	0.02314	1
+0.02342	1.34419916363248	0.073379495822172	0.001394	0.02342	1
+0.0237	1.28950309519543	0.0709726811217327	0.001411	0.0237	1
+0.02399	1.18575259309099	0.0672174491013361	0.001427	0.02399	1
+0.02427	1.11661367746353	0.0644328918452755	0.001443	0.02427	1
+0.02455	1.03725820906637	0.0613529362624028	0.001459	0.02456	1
+0.02484	0.963936666624243	0.0584406406908292	0.001476	0.02484	1
+0.02512	0.946666784713813	0.0572334134481483	0.001492	0.02512	1
+0.02541	0.85517174555837	0.0537648235548803	0.001508	0.02541	1
+0.02569	0.837653826942447	0.0525996725094271	0.001524	0.02569	1
+0.02597	0.779716006334579	0.0501713234228845	0.001541	0.02597	1
+0.02626	0.758831276438753	0.0489387203301556	0.001557	0.02626	1
+0.02654	0.737853170893451	0.0477213222943686	0.001573	0.02654	1
+0.02682	0.683436680838241	0.0454232028983561	0.00159	0.02682	1
+0.02711	0.687265505181365	0.0450551510778741	0.001606	0.02711	1
+0.02739	0.655078310492671	0.0435144667607471	0.001622	0.02739	1
+0.02767	0.638970027703769	0.0425189366016694	0.001639	0.02767	1
+0.02796	0.60633272894638	0.0409828262439632	0.001655	0.02796	1
+0.02824	0.604236153070516	0.0404857440009898	0.001671	0.02824	1
+0.02852	0.56286255473902	0.0386722507332448	0.001688	0.02853	1
+0.02881	0.568578929096012	0.0384715167864823	0.001704	0.02881	1
+0.02909	0.55573597175355	0.0376503540172005	0.00172	0.02909	1
+0.02937	0.534835145987317	0.0365662120675398	0.001737	0.02938	1
Index: sansmodels/src/sans/models/test/CMSphere5smearsphere.txt
===================================================================
--- sansmodels/src/sans/models/test/CMSphere5smearsphere.txt	(revision 458c93012c3d10917123fcc7df826c1ce162fb12)
+++ sansmodels/src/sans/models/test/CMSphere5smearsphere.txt	(revision 458c93012c3d10917123fcc7df826c1ce162fb12)
@@ -0,0 +1,100 @@
+0.001278 2538.41176383
+0.001562 2536.91820405
+0.001846 2535.13182479
+0.00213 2533.06217813
+0.002414 2530.70378586
+0.002698 2528.05024192
+0.002982 2525.10408349
+0.003266 2521.86667499
+0.00355 2518.3390775
+0.003834 2514.52246995
+0.004118 2510.41798319
+0.004402 2506.02690988
+0.004686 2501.35067884
+0.00497 2496.38678318
+0.005253 2491.16237596
+0.005537 2485.63911673
+0.005821 2479.83657083
+0.006105 2473.75676948
+0.006389 2467.4014599
+0.006673 2460.77293372
+0.006957 2453.86724627
+0.007241 2446.69623838
+0.007525 2439.25775219
+0.007809 2431.55421398
+0.008093 2423.58785521
+0.008377 2415.36158137
+0.008661 2406.87009473
+0.008945 2398.12841186
+0.009229 2389.13360806
+0.009513 2379.88958042
+0.009797 2370.39776774
+0.01008 2360.69528793
+0.01036 2350.85169027
+0.01065 2340.42023633
+0.01093 2330.11206013
+0.01122 2319.20109972
+0.0115 2308.43503981
+0.01178 2297.44820179
+0.01207 2285.83853677
+0.01235 2274.41290746
+0.01264 2262.36219581
+0.01292 2250.51169731
+0.0132 2238.45596231
+0.01349 2225.76495666
+0.01377 2213.29618391
+0.01406 2200.19110751
+0.01434 2187.34050325
+0.01462 2174.30529864
+0.01491 2160.61632548
+0.01519 2147.21038112
+0.01547 2133.6202358
+0.01576 2119.37907426
+0.01604 2105.45234903
+0.01633 2090.86319102
+0.01661 2076.60576032
+0.01689 2062.19214565
+0.01718 2047.10550219
+0.01746 2032.38715621
+0.01774 2017.52560123
+0.01803 2001.99124318
+0.01831 1986.8466206
+0.0186 1971.03389745
+0.01888 1955.61395119
+0.01916 1940.08291563
+0.01945 1923.87672225
+0.01973 1908.10656374
+0.02002 1891.66297192
+0.0203 1875.66789021
+0.02058 1859.56357196
+0.02087 1842.7946829
+0.02115 1826.50064489
+0.02143 1810.11533702
+0.02172 1793.06840882
+0.022 1776.5115358
+0.02228 1759.87201249
+0.02257 1742.57354412
+0.02285 1725.79397319
+0.02314 1708.3583155
+0.02342 1691.45256069
+0.0237 1674.48561783
+0.02399 1656.86525366
+0.02427 1639.79847285
+0.02455 1622.68887088
+0.02484 1604.964211
+0.02512 1587.85768129
+0.02541 1569.99297335
+0.02569 1552.84580279
+0.02597 1535.54074115
+0.02626 1517.75249337
+0.02654 1500.40115023
+0.02682 1483.03632237
+0.02711 1465.05942429
+0.02739 1447.67682181
+0.02767 1430.46495191
+0.02796 1412.49232282
+0.02824 1395.13182318
+0.02852 1377.93439837
+0.02881 1359.99528971
+0.02909 1342.67274512
+0.02937 1325.55375609
Index: sansmodels/src/sans/models/test/utest_smearing.py
===================================================================
--- sansmodels/src/sans/models/test/utest_smearing.py	(revision 1584fff26c7ae50f7624bc102029154f8f1f3796)
+++ sansmodels/src/sans/models/test/utest_smearing.py	(revision 458c93012c3d10917123fcc7df826c1ce162fb12)
@@ -130,4 +130,5 @@
         for i in range(1000):
             output = s(input)
+
         # record time taken
         last_call_time = time()-st