Index: src/sas/sascalc/calculator/resolution_calculator.py
===================================================================
--- src/sas/sascalc/calculator/resolution_calculator.py	(revision c155a16ca3fb1da7057f151c62510d780700b9e8)
+++ src/sas/sascalc/calculator/resolution_calculator.py	(revision 463e7ffce130ae386f93cd18b87a1120743e88b5)
@@ -16,5 +16,5 @@
 import logging
 
-logger = logging.getLogger()
+logger = logging.getLogger(__name__)
 
 #Plank's constant in cgs unit
Index: src/sas/sascalc/calculator/sas_gen.py
===================================================================
--- src/sas/sascalc/calculator/sas_gen.py	(revision c155a16ca3fb1da7057f151c62510d780700b9e8)
+++ src/sas/sascalc/calculator/sas_gen.py	(revision 463e7ffce130ae386f93cd18b87a1120743e88b5)
@@ -13,5 +13,5 @@
 import logging
 
-logger = logging.getLogger()
+logger = logging.getLogger(__name__)
 
 MFACTOR_AM = 2.853E-12
Index: src/sas/sascalc/data_util/calcthread.py
===================================================================
--- src/sas/sascalc/data_util/calcthread.py	(revision c155a16ca3fb1da7057f151c62510d780700b9e8)
+++ src/sas/sascalc/data_util/calcthread.py	(revision 463e7ffce130ae386f93cd18b87a1120743e88b5)
@@ -23,5 +23,5 @@
     from time import sleep
 
-logger = logging.getLogger()
+logger = logging.getLogger(__name__)
 
 
Index: src/sas/sascalc/dataloader/loader.py
===================================================================
--- src/sas/sascalc/dataloader/loader.py	(revision c155a16ca3fb1da7057f151c62510d780700b9e8)
+++ src/sas/sascalc/dataloader/loader.py	(revision 463e7ffce130ae386f93cd18b87a1120743e88b5)
@@ -32,5 +32,5 @@
 from readers import cansas_reader
 
-logger = logging.getLogger()
+logger = logging.getLogger(__name__)
 
 class Registry(ExtensionRegistry):
Index: src/sas/sascalc/dataloader/readers/associations.py
===================================================================
--- src/sas/sascalc/dataloader/readers/associations.py	(revision c155a16ca3fb1da7057f151c62510d780700b9e8)
+++ src/sas/sascalc/dataloader/readers/associations.py	(revision 463e7ffce130ae386f93cd18b87a1120743e88b5)
@@ -19,5 +19,5 @@
 import json
 
-logger = logging.getLogger()
+logger = logging.getLogger(__name__)
 
 FILE_NAME = 'defaults.json'
Index: src/sas/sascalc/dataloader/readers/cansas_reader.py
===================================================================
--- src/sas/sascalc/dataloader/readers/cansas_reader.py	(revision c155a16ca3fb1da7057f151c62510d780700b9e8)
+++ src/sas/sascalc/dataloader/readers/cansas_reader.py	(revision 463e7ffce130ae386f93cd18b87a1120743e88b5)
@@ -34,5 +34,5 @@
 from xml.dom.minidom import parseString
 
-logger = logging.getLogger()
+logger = logging.getLogger(__name__)
 
 PREPROCESS = "xmlpreprocess"
Index: src/sas/sascalc/dataloader/readers/danse_reader.py
===================================================================
--- src/sas/sascalc/dataloader/readers/danse_reader.py	(revision c155a16ca3fb1da7057f151c62510d780700b9e8)
+++ src/sas/sascalc/dataloader/readers/danse_reader.py	(revision 463e7ffce130ae386f93cd18b87a1120743e88b5)
@@ -20,5 +20,5 @@
 from sas.sascalc.dataloader.manipulations import reader2D_converter
 
-logger = logging.getLogger()
+logger = logging.getLogger(__name__)
 
 # Look for unit converter
Index: src/sas/sascalc/dataloader/readers/tiff_reader.py
===================================================================
--- src/sas/sascalc/dataloader/readers/tiff_reader.py	(revision c155a16ca3fb1da7057f151c62510d780700b9e8)
+++ src/sas/sascalc/dataloader/readers/tiff_reader.py	(revision 463e7ffce130ae386f93cd18b87a1120743e88b5)
@@ -17,5 +17,5 @@
 from sas.sascalc.dataloader.manipulations import reader2D_converter
 
-logger = logging.getLogger()
+logger = logging.getLogger(__name__)
 
 class Reader:
Index: src/sas/sascalc/dataloader/readers/xml_reader.py
===================================================================
--- src/sas/sascalc/dataloader/readers/xml_reader.py	(revision c155a16ca3fb1da7057f151c62510d780700b9e8)
+++ src/sas/sascalc/dataloader/readers/xml_reader.py	(revision 463e7ffce130ae386f93cd18b87a1120743e88b5)
@@ -19,5 +19,5 @@
 from lxml.builder import E
 
-logger = logging.getLogger()
+logger = logging.getLogger(__name__)
 
 PARSER = etree.ETCompatXMLParser(remove_comments=True, remove_pis=False)
Index: src/sas/sascalc/pr/invertor.py
===================================================================
--- src/sas/sascalc/pr/invertor.py	(revision c155a16ca3fb1da7057f151c62510d780700b9e8)
+++ src/sas/sascalc/pr/invertor.py	(revision 463e7ffce130ae386f93cd18b87a1120743e88b5)
@@ -19,5 +19,5 @@
 from sas.sascalc.pr.core.pr_inversion import Cinvertor
 
-logger = logging.getLogger()
+logger = logging.getLogger(__name__)
 
 def help():
Index: src/sas/sascalc/pr/num_term.py
===================================================================
--- src/sas/sascalc/pr/num_term.py	(revision c155a16ca3fb1da7057f151c62510d780700b9e8)
+++ src/sas/sascalc/pr/num_term.py	(revision 463e7ffce130ae386f93cd18b87a1120743e88b5)
@@ -6,5 +6,5 @@
 from sas.sascalc.pr.invertor import Invertor
 
-logger = logging.getLogger()
+logger = logging.getLogger(__name__)
 
 class NTermEstimator(object):
Index: src/sas/sasgui/guiframe/CategoryInstaller.py
===================================================================
--- src/sas/sasgui/guiframe/CategoryInstaller.py	(revision c155a16ca3fb1da7057f151c62510d780700b9e8)
+++ src/sas/sasgui/guiframe/CategoryInstaller.py	(revision 463e7ffce130ae386f93cd18b87a1120743e88b5)
@@ -17,5 +17,5 @@
 USER_FILE = 'categories.json'
 
-logger = logging.getLogger()
+logger = logging.getLogger(__name__)
 
 class CategoryInstaller:
Index: src/sas/sasgui/guiframe/CategoryManager.py
===================================================================
--- src/sas/sasgui/guiframe/CategoryManager.py	(revision c155a16ca3fb1da7057f151c62510d780700b9e8)
+++ src/sas/sasgui/guiframe/CategoryManager.py	(revision 463e7ffce130ae386f93cd18b87a1120743e88b5)
@@ -21,5 +21,5 @@
 IS_MAC = (sys.platform == 'darwin')
 
-logger = logging.getLogger()
+logger = logging.getLogger(__name__)
 
 """ Notes
Index: src/sas/sasgui/guiframe/config.py
===================================================================
--- src/sas/sasgui/guiframe/config.py	(revision c155a16ca3fb1da7057f151c62510d780700b9e8)
+++ src/sas/sasgui/guiframe/config.py	(revision 463e7ffce130ae386f93cd18b87a1120743e88b5)
@@ -9,5 +9,5 @@
 
 
-logger = logging.getLogger()
+logger = logging.getLogger(__name__)
 
 
Index: src/sas/sasgui/guiframe/data_manager.py
===================================================================
--- src/sas/sasgui/guiframe/data_manager.py	(revision c155a16ca3fb1da7057f151c62510d780700b9e8)
+++ src/sas/sasgui/guiframe/data_manager.py	(revision 463e7ffce130ae386f93cd18b87a1120743e88b5)
@@ -26,5 +26,5 @@
 import time
 
-logger = logging.getLogger()
+logger = logging.getLogger(__name__)
 
 class DataManager(object):
Index: src/sas/sasgui/guiframe/documentation_window.py
===================================================================
--- src/sas/sasgui/guiframe/documentation_window.py	(revision c155a16ca3fb1da7057f151c62510d780700b9e8)
+++ src/sas/sasgui/guiframe/documentation_window.py	(revision 463e7ffce130ae386f93cd18b87a1120743e88b5)
@@ -21,5 +21,5 @@
 import sys
 
-logger = logging.getLogger()
+logger = logging.getLogger(__name__)
 
 SPHINX_DOC_ENV = "SASVIEW_DOC_PATH"
Index: src/sas/sasgui/guiframe/gui_manager.py
===================================================================
--- src/sas/sasgui/guiframe/gui_manager.py	(revision c155a16ca3fb1da7057f151c62510d780700b9e8)
+++ src/sas/sasgui/guiframe/gui_manager.py	(revision 463e7ffce130ae386f93cd18b87a1120743e88b5)
@@ -48,5 +48,5 @@
 from matplotlib import _pylab_helpers
 
-logger = logging.getLogger()
+logger = logging.getLogger(__name__)
 
 warnings.simplefilter("ignore")
Index: src/sas/sasgui/guiframe/gui_statusbar.py
===================================================================
--- src/sas/sasgui/guiframe/gui_statusbar.py	(revision c155a16ca3fb1da7057f151c62510d780700b9e8)
+++ src/sas/sasgui/guiframe/gui_statusbar.py	(revision 463e7ffce130ae386f93cd18b87a1120743e88b5)
@@ -12,5 +12,5 @@
 from sas.sasgui.guiframe.gui_style import GUIFRAME_ICON
 
-logger = logging.getLogger()
+logger = logging.getLogger(__name__)
 
 # Number of fields on the status bar
Index: src/sas/sasgui/guiframe/local_perspectives/data_loader/data_loader.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/data_loader/data_loader.py	(revision c155a16ca3fb1da7057f151c62510d780700b9e8)
+++ src/sas/sasgui/guiframe/local_perspectives/data_loader/data_loader.py	(revision 463e7ffce130ae386f93cd18b87a1120743e88b5)
@@ -8,5 +8,5 @@
 import logging
 
-logger = logging.getLogger()
+logger = logging.getLogger(__name__)
 
 from sas.sascalc.dataloader.loader import Loader
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/Plotter1D.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/Plotter1D.py	(revision c155a16ca3fb1da7057f151c62510d780700b9e8)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/Plotter1D.py	(revision 463e7ffce130ae386f93cd18b87a1120743e88b5)
@@ -25,5 +25,5 @@
 from graphAppearance import graphAppearance
 
-logger = logging.getLogger()
+logger = logging.getLogger(__name__)
 
 DEFAULT_QMAX = 0.05
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/Plotter2D.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/Plotter2D.py	(revision c155a16ca3fb1da7057f151c62510d780700b9e8)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/Plotter2D.py	(revision 463e7ffce130ae386f93cd18b87a1120743e88b5)
@@ -31,5 +31,5 @@
 (InternalEvent, EVT_INTERNAL) = wx.lib.newevent.NewEvent()
 
-logger = logging.getLogger()
+logger = logging.getLogger(__name__)
 
 DEFAULT_QMAX = 0.05
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/binder.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/binder.py	(revision c155a16ca3fb1da7057f151c62510d780700b9e8)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/binder.py	(revision 463e7ffce130ae386f93cd18b87a1120743e88b5)
@@ -5,5 +5,5 @@
 import sys
 
-logger = logging.getLogger()
+logger = logging.getLogger(__name__)
 
 class Selection(object):
Index: src/sas/sasgui/guiframe/proxy.py
===================================================================
--- src/sas/sasgui/guiframe/proxy.py	(revision c155a16ca3fb1da7057f151c62510d780700b9e8)
+++ src/sas/sasgui/guiframe/proxy.py	(revision 463e7ffce130ae386f93cd18b87a1120743e88b5)
@@ -8,5 +8,5 @@
 
 
-logger = logging.getLogger()
+logger = logging.getLogger(__name__)
 
 '''
Index: src/sas/sasgui/guiframe/report_dialog.py
===================================================================
--- src/sas/sasgui/guiframe/report_dialog.py	(revision c155a16ca3fb1da7057f151c62510d780700b9e8)
+++ src/sas/sasgui/guiframe/report_dialog.py	(revision 463e7ffce130ae386f93cd18b87a1120743e88b5)
@@ -8,5 +8,5 @@
 import wx.html as html
 
-logger = logging.getLogger()
+logger = logging.getLogger(__name__)
 
 ISPDF = False
Index: src/sas/sasgui/perspectives/calculator/calculator.py
===================================================================
--- src/sas/sasgui/perspectives/calculator/calculator.py	(revision c155a16ca3fb1da7057f151c62510d780700b9e8)
+++ src/sas/sasgui/perspectives/calculator/calculator.py	(revision 463e7ffce130ae386f93cd18b87a1120743e88b5)
@@ -28,5 +28,5 @@
 import logging
 
-logger = logging.getLogger()
+logger = logging.getLogger(__name__)
 
 class Plugin(PluginBase):
Index: src/sas/sasgui/perspectives/calculator/gen_scatter_panel.py
===================================================================
--- src/sas/sasgui/perspectives/calculator/gen_scatter_panel.py	(revision c155a16ca3fb1da7057f151c62510d780700b9e8)
+++ src/sas/sasgui/perspectives/calculator/gen_scatter_panel.py	(revision 463e7ffce130ae386f93cd18b87a1120743e88b5)
@@ -39,5 +39,5 @@
 from sas.sasgui.guiframe.documentation_window import DocumentationWindow
 
-logger = logging.getLogger()
+logger = logging.getLogger(__name__)
 
 _BOX_WIDTH = 76
Index: src/sas/sasgui/perspectives/calculator/model_editor.py
===================================================================
--- src/sas/sasgui/perspectives/calculator/model_editor.py	(revision c155a16ca3fb1da7057f151c62510d780700b9e8)
+++ src/sas/sasgui/perspectives/calculator/model_editor.py	(revision 463e7ffce130ae386f93cd18b87a1120743e88b5)
@@ -33,5 +33,5 @@
 from .pyconsole import show_model_output, check_model
 
-logger = logging.getLogger()
+logger = logging.getLogger(__name__)
 
 
Index: src/sas/sasgui/perspectives/calculator/resolution_calculator_panel.py
===================================================================
--- src/sas/sasgui/perspectives/calculator/resolution_calculator_panel.py	(revision c155a16ca3fb1da7057f151c62510d780700b9e8)
+++ src/sas/sasgui/perspectives/calculator/resolution_calculator_panel.py	(revision 463e7ffce130ae386f93cd18b87a1120743e88b5)
@@ -35,5 +35,5 @@
 from sas.sasgui.guiframe.documentation_window import DocumentationWindow
 
-logger = logging.getLogger()
+logger = logging.getLogger(__name__)
 
 _BOX_WIDTH = 100
Index: src/sas/sasgui/perspectives/corfunc/corfunc.py
===================================================================
--- src/sas/sasgui/perspectives/corfunc/corfunc.py	(revision c155a16ca3fb1da7057f151c62510d780700b9e8)
+++ src/sas/sasgui/perspectives/corfunc/corfunc.py	(revision 463e7ffce130ae386f93cd18b87a1120743e88b5)
@@ -20,5 +20,5 @@
 from plot_labels import *
 
-logger = logging.getLogger()
+logger = logging.getLogger(__name__)
 
 class Plugin(PluginBase):
Index: src/sas/sasgui/perspectives/corfunc/corfunc_state.py
===================================================================
--- src/sas/sasgui/perspectives/corfunc/corfunc_state.py	(revision c155a16ca3fb1da7057f151c62510d780700b9e8)
+++ src/sas/sasgui/perspectives/corfunc/corfunc_state.py	(revision 463e7ffce130ae386f93cd18b87a1120743e88b5)
@@ -13,5 +13,5 @@
 from sas.sascalc.dataloader.loader import Loader
 
-logger = logging.getLogger()
+logger = logging.getLogger(__name__)
 
 CORNODE_NAME = 'corfunc'
Index: src/sas/sasgui/perspectives/file_converter/file_converter.py
===================================================================
--- src/sas/sasgui/perspectives/file_converter/file_converter.py	(revision c155a16ca3fb1da7057f151c62510d780700b9e8)
+++ src/sas/sasgui/perspectives/file_converter/file_converter.py	(revision 463e7ffce130ae386f93cd18b87a1120743e88b5)
@@ -7,5 +7,5 @@
 from sas.sasgui.perspectives.file_converter.converter_panel import ConverterWindow
 
-logger = logging.getLogger()
+logger = logging.getLogger(__name__)
 
 class Plugin(PluginBase):
Index: src/sas/sasgui/perspectives/fitting/basepage.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/basepage.py	(revision c155a16ca3fb1da7057f151c62510d780700b9e8)
+++ src/sas/sasgui/perspectives/fitting/basepage.py	(revision 463e7ffce130ae386f93cd18b87a1120743e88b5)
@@ -34,5 +34,5 @@
 from sas.sasgui.guiframe.documentation_window import DocumentationWindow
 
-logger = logging.getLogger()
+logger = logging.getLogger(__name__)
 
 (PageInfoEvent, EVT_PAGE_INFO) = wx.lib.newevent.NewEvent()
Index: src/sas/sasgui/perspectives/fitting/fitting.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/fitting.py	(revision c155a16ca3fb1da7057f151c62510d780700b9e8)
+++ src/sas/sasgui/perspectives/fitting/fitting.py	(revision 463e7ffce130ae386f93cd18b87a1120743e88b5)
@@ -49,5 +49,5 @@
 from . import models
 
-logger = logging.getLogger()
+logger = logging.getLogger(__name__)
 
 MAX_NBR_DATA = 4
Index: src/sas/sasgui/perspectives/fitting/models.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/models.py	(revision c155a16ca3fb1da7057f151c62510d780700b9e8)
+++ src/sas/sasgui/perspectives/fitting/models.py	(revision 463e7ffce130ae386f93cd18b87a1120743e88b5)
@@ -19,5 +19,5 @@
 from sasmodels.sasview_model import load_custom_model, load_standard_models
 
-logger = logging.getLogger()
+logger = logging.getLogger(__name__)
 
 
Index: src/sas/sasgui/perspectives/fitting/pagestate.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/pagestate.py	(revision c155a16ca3fb1da7057f151c62510d780700b9e8)
+++ src/sas/sasgui/perspectives/fitting/pagestate.py	(revision 463e7ffce130ae386f93cd18b87a1120743e88b5)
@@ -34,5 +34,5 @@
 from sas.sascalc.dataloader.data_info import Process, Aperture
 
-logger = logging.getLogger()
+logger = logging.getLogger(__name__)
 
 # Information to read/write state as xml
Index: src/sas/sasgui/perspectives/invariant/invariant.py
===================================================================
--- src/sas/sasgui/perspectives/invariant/invariant.py	(revision c155a16ca3fb1da7057f151c62510d780700b9e8)
+++ src/sas/sasgui/perspectives/invariant/invariant.py	(revision 463e7ffce130ae386f93cd18b87a1120743e88b5)
@@ -27,5 +27,5 @@
 from sas.sasgui.guiframe.plugin_base import PluginBase
 
-logger = logging.getLogger()
+logger = logging.getLogger(__name__)
 
 class Plugin(PluginBase):
Index: src/sas/sasgui/perspectives/invariant/invariant_panel.py
===================================================================
--- src/sas/sasgui/perspectives/invariant/invariant_panel.py	(revision c155a16ca3fb1da7057f151c62510d780700b9e8)
+++ src/sas/sasgui/perspectives/invariant/invariant_panel.py	(revision 463e7ffce130ae386f93cd18b87a1120743e88b5)
@@ -25,5 +25,5 @@
 from sas.sasgui.guiframe.documentation_window import DocumentationWindow
 
-logger = logging.getLogger()
+logger = logging.getLogger(__name__)
 
 # The minimum q-value to be used when extrapolating
Index: src/sas/sasgui/perspectives/invariant/invariant_state.py
===================================================================
--- src/sas/sasgui/perspectives/invariant/invariant_state.py	(revision c155a16ca3fb1da7057f151c62510d780700b9e8)
+++ src/sas/sasgui/perspectives/invariant/invariant_state.py	(revision 463e7ffce130ae386f93cd18b87a1120743e88b5)
@@ -17,5 +17,5 @@
 from sas.sasgui.guiframe.dataFitting import Data1D
 
-logger = logging.getLogger()
+logger = logging.getLogger(__name__)
 
 INVNODE_NAME = 'invariant'
Index: src/sas/sasgui/perspectives/invariant/report_dialog.py
===================================================================
--- src/sas/sasgui/perspectives/invariant/report_dialog.py	(revision c155a16ca3fb1da7057f151c62510d780700b9e8)
+++ src/sas/sasgui/perspectives/invariant/report_dialog.py	(revision 463e7ffce130ae386f93cd18b87a1120743e88b5)
@@ -21,5 +21,5 @@
 from sas.sasgui.guiframe.report_dialog import BaseReportDialog
 
-logger = logging.getLogger()
+logger = logging.getLogger(__name__)
 
 class ReportDialog(BaseReportDialog):
Index: src/sas/sasgui/perspectives/pr/explore_dialog.py
===================================================================
--- src/sas/sasgui/perspectives/pr/explore_dialog.py	(revision c155a16ca3fb1da7057f151c62510d780700b9e8)
+++ src/sas/sasgui/perspectives/pr/explore_dialog.py	(revision 463e7ffce130ae386f93cd18b87a1120743e88b5)
@@ -23,5 +23,5 @@
 import sys
 
-logger = logging.getLogger()
+logger = logging.getLogger(__name__)
 
 # Avoid Matplotlib complaining about the lack of legend on the plot
Index: src/sas/sasgui/perspectives/pr/inversion_panel.py
===================================================================
--- src/sas/sasgui/perspectives/pr/inversion_panel.py	(revision c155a16ca3fb1da7057f151c62510d780700b9e8)
+++ src/sas/sasgui/perspectives/pr/inversion_panel.py	(revision 463e7ffce130ae386f93cd18b87a1120743e88b5)
@@ -18,5 +18,5 @@
 from sas.sasgui.guiframe.documentation_window import DocumentationWindow
 
-logger = logging.getLogger()
+logger = logging.getLogger(__name__)
 
 if sys.platform.count("win32") > 0:
Index: src/sas/sasgui/perspectives/pr/inversion_state.py
===================================================================
--- src/sas/sasgui/perspectives/pr/inversion_state.py	(revision c155a16ca3fb1da7057f151c62510d780700b9e8)
+++ src/sas/sasgui/perspectives/pr/inversion_state.py	(revision 463e7ffce130ae386f93cd18b87a1120743e88b5)
@@ -22,5 +22,5 @@
 from sas.sascalc.dataloader.readers.cansas_reader import get_content
 
-logger = logging.getLogger()
+logger = logging.getLogger(__name__)
 
 PRNODE_NAME = 'pr_inversion'
Index: src/sas/sasgui/perspectives/pr/pr.py
===================================================================
--- src/sas/sasgui/perspectives/pr/pr.py	(revision c155a16ca3fb1da7057f151c62510d780700b9e8)
+++ src/sas/sasgui/perspectives/pr/pr.py	(revision 463e7ffce130ae386f93cd18b87a1120743e88b5)
@@ -35,5 +35,5 @@
 from sas.sasgui.guiframe.plugin_base import PluginBase
 
-logger = logging.getLogger()
+logger = logging.getLogger(__name__)
 
 
Index: src/sas/sasgui/perspectives/simulation/simulation.py
===================================================================
--- src/sas/sasgui/perspectives/simulation/simulation.py	(revision c155a16ca3fb1da7057f151c62510d780700b9e8)
+++ src/sas/sasgui/perspectives/simulation/simulation.py	(revision 463e7ffce130ae386f93cd18b87a1120743e88b5)
@@ -25,5 +25,5 @@
 from sas.guicomm.events import NewPlotEvent, StatusEvent    
 
-logger = logging.getLogger()
+logger = logging.getLogger(__name__)
 
 class Calc1D(CalcThread):
Index: src/sas/sasgui/plottools/PlotPanel.py
===================================================================
--- src/sas/sasgui/plottools/PlotPanel.py	(revision c155a16ca3fb1da7057f151c62510d780700b9e8)
+++ src/sas/sasgui/plottools/PlotPanel.py	(revision 463e7ffce130ae386f93cd18b87a1120743e88b5)
@@ -34,5 +34,5 @@
 from .toolbar import NavigationToolBar, PlotPrintout, bind
 
-logger = logging.getLogger()
+logger = logging.getLogger(__name__)
 
 def show_tree(obj, d=0):
Index: src/sas/sasgui/plottools/binder.py
===================================================================
--- src/sas/sasgui/plottools/binder.py	(revision c155a16ca3fb1da7057f151c62510d780700b9e8)
+++ src/sas/sasgui/plottools/binder.py	(revision 463e7ffce130ae386f93cd18b87a1120743e88b5)
@@ -5,5 +5,5 @@
 import logging
 
-logger = logging.getLogger()
+logger = logging.getLogger(__name__)
 
 class Selection(object):
Index: src/sas/sasgui/plottools/canvas.py
===================================================================
--- src/sas/sasgui/plottools/canvas.py	(revision c155a16ca3fb1da7057f151c62510d780700b9e8)
+++ src/sas/sasgui/plottools/canvas.py	(revision 463e7ffce130ae386f93cd18b87a1120743e88b5)
@@ -11,5 +11,5 @@
 from matplotlib.backends.backend_wx import RendererWx
 
-logger = logging.getLogger()
+logger = logging.getLogger(__name__)
 
 
Index: src/sas/sasgui/plottools/plottables.py
===================================================================
--- src/sas/sasgui/plottools/plottables.py	(revision c155a16ca3fb1da7057f151c62510d780700b9e8)
+++ src/sas/sasgui/plottools/plottables.py	(revision 463e7ffce130ae386f93cd18b87a1120743e88b5)
@@ -47,5 +47,5 @@
 import logging
 
-logger = logging.getLogger()
+logger = logging.getLogger(__name__)
 
 if 'any' not in dir(__builtins__):
Index: src/sas/sasgui/plottools/toolbar.py
===================================================================
--- src/sas/sasgui/plottools/toolbar.py	(revision c155a16ca3fb1da7057f151c62510d780700b9e8)
+++ src/sas/sasgui/plottools/toolbar.py	(revision 463e7ffce130ae386f93cd18b87a1120743e88b5)
@@ -7,5 +7,5 @@
 import logging
 
-logger = logging.getLogger()
+logger = logging.getLogger(__name__)
 
 # Event binding code changed after version 2.5