Index: src/sas/qtgui/Calculators/GenericScatteringCalculator.py
===================================================================
--- src/sas/qtgui/Calculators/GenericScatteringCalculator.py	(revision 457d961a927e24e28718d1c1813be6b69130b5c1)
+++ src/sas/qtgui/Calculators/GenericScatteringCalculator.py	(revision 464cd0702ca4f47ed61d237d9acecd5975d8abac)
@@ -100,5 +100,7 @@
 
         # plots - 3D in real space
-        self.trigger_plot_3d.connect(lambda: self.plot3d(has_arrow=False))
+        plot3d = self.plot3d(has_arrow=False)
+        self.trigger_plot_3d.connect(plot3d)
+        #self.trigger_plot_3d.connect(lambda: self.plot3d(has_arrow=False))
 
         self.graph_num = 1  # index for name of graph
Index: src/sas/qtgui/Calculators/UnitTesting/DensityCalculatorTest.py
===================================================================
--- src/sas/qtgui/Calculators/UnitTesting/DensityCalculatorTest.py	(revision 83eb5208b8acb86b064162274de583670f72da47)
+++ src/sas/qtgui/Calculators/UnitTesting/DensityCalculatorTest.py	(revision 464cd0702ca4f47ed61d237d9acecd5975d8abac)
@@ -19,5 +19,6 @@
 import sas.qtgui.Utilities.LocalConfig
 
-app = QtGui.QApplication(sys.argv)
+if not QtGui.QApplication.instance():
+    app = QtGui.QApplication(sys.argv)
 
 class ToMolarMassTest(unittest.TestCase):
Index: src/sas/qtgui/Calculators/UnitTesting/GenericScatteringCalculatorTest.py
===================================================================
--- src/sas/qtgui/Calculators/UnitTesting/GenericScatteringCalculatorTest.py	(revision 457d961a927e24e28718d1c1813be6b69130b5c1)
+++ src/sas/qtgui/Calculators/UnitTesting/GenericScatteringCalculatorTest.py	(revision 464cd0702ca4f47ed61d237d9acecd5975d8abac)
@@ -24,5 +24,6 @@
 from sas.sascalc.calculator import sas_gen
 
-app = QtGui.QApplication(sys.argv)
+if not QtGui.QApplication.instance():
+    app = QtGui.QApplication(sys.argv)
 
 
Index: src/sas/qtgui/Calculators/UnitTesting/KiessigCalculatorTest.py
===================================================================
--- src/sas/qtgui/Calculators/UnitTesting/KiessigCalculatorTest.py	(revision 83eb5208b8acb86b064162274de583670f72da47)
+++ src/sas/qtgui/Calculators/UnitTesting/KiessigCalculatorTest.py	(revision 464cd0702ca4f47ed61d237d9acecd5975d8abac)
@@ -11,5 +11,6 @@
 from sas.qtgui.Calculators.KiessigPanel import KiessigPanel
 
-app = QtGui.QApplication(sys.argv)
+if not QtGui.QApplication.instance():
+    app = QtGui.QApplication(sys.argv)
 
 
Index: src/sas/qtgui/Calculators/UnitTesting/SLDCalculatorTest.py
===================================================================
--- src/sas/qtgui/Calculators/UnitTesting/SLDCalculatorTest.py	(revision 83eb5208b8acb86b064162274de583670f72da47)
+++ src/sas/qtgui/Calculators/UnitTesting/SLDCalculatorTest.py	(revision 464cd0702ca4f47ed61d237d9acecd5975d8abac)
@@ -20,5 +20,6 @@
 import sas.qtgui.Utilities.LocalConfig
 
-app = QtGui.QApplication(sys.argv)
+if not QtGui.QApplication.instance():
+    app = QtGui.QApplication(sys.argv)
 
 class SldResultTest(unittest.TestCase):
Index: src/sas/qtgui/Calculators/UnitTesting/SlitSizeCalculatorTest.py
===================================================================
--- src/sas/qtgui/Calculators/UnitTesting/SlitSizeCalculatorTest.py	(revision 83eb5208b8acb86b064162274de583670f72da47)
+++ src/sas/qtgui/Calculators/UnitTesting/SlitSizeCalculatorTest.py	(revision 464cd0702ca4f47ed61d237d9acecd5975d8abac)
@@ -12,5 +12,6 @@
 from sas.sascalc.dataloader.loader import Loader
 
-app = QtGui.QApplication(sys.argv)
+if not QtGui.QApplication.instance():
+    app = QtGui.QApplication(sys.argv)
 
 
@@ -87,11 +88,4 @@
                                 self.widget.calculateSlitSize, data)
 
-        filename = "empty_file.txt"
-        loader = Loader()
-        data = loader.load(filename)
-        self.assertRaisesRegexp(RuntimeError,
-                                "ERROR: Data hasn't been loaded correctly",
-                                self.widget.calculateSlitSize, data)
-
         data = None
         self.assertRaisesRegexp(RuntimeError,
Index: src/sas/qtgui/GUITests.py
===================================================================
--- src/sas/qtgui/GUITests.py	(revision 72f48343c6b87b2752d741732a03954367a57a60)
+++ src/sas/qtgui/GUITests.py	(revision 464cd0702ca4f47ed61d237d9acecd5975d8abac)
@@ -1,3 +1,8 @@
 import unittest
+import sys
+from PyQt4 import QtGui
+
+# Prepare the general QApplication instance
+app = QtGui.QApplication(sys.argv)
 
 # Main Window
@@ -30,4 +35,6 @@
 from Calculators.UnitTesting import DensityCalculatorTest
 from Calculators.UnitTesting import GenericScatteringCalculatorTest
+from Calculators.UnitTesting import SLDCalculatorTest
+from Calculators.UnitTesting import SlitSizeCalculatorTest
 
 # Utilities
@@ -46,5 +53,4 @@
 from Perspectives.Fitting.UnitTesting import FitPageTest
 from Perspectives.Fitting.UnitTesting import FittingOptionsTest
-
 
 def suite():
@@ -84,4 +90,6 @@
         unittest.makeSuite(DensityCalculatorTest.DensityCalculatorTest,                     'test'),
         unittest.makeSuite(GenericScatteringCalculatorTest.GenericScatteringCalculatorTest, 'test'),
+        unittest.makeSuite(SLDCalculatorTest.SLDCalculatorTest, 'test'),
+        unittest.makeSuite(SlitSizeCalculatorTest.SlitSizeCalculatorTest, 'test'),
 
         # Perspectives
Index: src/sas/qtgui/MainWindow/UnitTesting/AboutBoxTest.py
===================================================================
--- src/sas/qtgui/MainWindow/UnitTesting/AboutBoxTest.py	(revision 83eb5208b8acb86b064162274de583670f72da47)
+++ src/sas/qtgui/MainWindow/UnitTesting/AboutBoxTest.py	(revision 464cd0702ca4f47ed61d237d9acecd5975d8abac)
@@ -3,7 +3,7 @@
 import webbrowser
 
-from PyQt4.QtGui import *
+from PyQt4 import QtGui
 from PyQt4.QtTest import QTest
-from PyQt4.QtCore import *
+from PyQt4 import QtCore
 from mock import MagicMock
 
@@ -15,5 +15,6 @@
 import sas.qtgui.Utilities.LocalConfig as LocalConfig
 
-app = QApplication(sys.argv)
+if not QtGui.QApplication.instance():
+    app = QtGui.QApplication(sys.argv)
 
 class AboutBoxTest(unittest.TestCase):
@@ -30,5 +31,5 @@
     def testDefaults(self):
         '''Test the GUI in its default state'''
-        self.assertIsInstance(self.widget, QWidget)
+        self.assertIsInstance(self.widget, QtGui.QWidget)
         self.assertEqual(self.widget.windowTitle(), "About")
         self.assertEqual(self.widget.cmdOK.text(), "OK")
@@ -44,5 +45,5 @@
         """
         version = self.widget.lblVersion
-        self.assertIsInstance(version, QLabel)
+        self.assertIsInstance(version, QtGui.QLabel)
         self.assertEqual(str(version.text()), str(LocalConfig.__version__))
 
@@ -52,5 +53,5 @@
         """
         about = self.widget.lblAbout
-        self.assertIsInstance(about, QLabel)
+        self.assertIsInstance(about, QtGui.QLabel)
         # build version
         self.assertIn(str(LocalConfig.__build__), about.text())
@@ -82,7 +83,7 @@
 
         # Press the buttons
-        buttonList = self.widget.findChildren(QPushButton)
+        buttonList = self.widget.findChildren(QtGui.QPushButton)
         for button in buttonList:
-            QTest.mouseClick(button, Qt.LeftButton)
+            QTest.mouseClick(button, QtCore.Qt.LeftButton)
             #open_link = webbrowser.open.call_args
             args, _ = webbrowser.open.call_args
@@ -96,5 +97,5 @@
         self.assertTrue(self.widget.isVisible())
         # Click on the OK button
-        QTest.mouseClick(self.widget.cmdOK, Qt.LeftButton)
+        QTest.mouseClick(self.widget.cmdOK, QtCore.Qt.LeftButton)
         # assure the widget is no longer seen
         self.assertFalse(self.widget.isVisible())
Index: src/sas/qtgui/MainWindow/UnitTesting/DataExplorerTest.py
===================================================================
--- src/sas/qtgui/MainWindow/UnitTesting/DataExplorerTest.py	(revision dc5ef150e8b37e01a3b7e253eb5b66d3b82de99c)
+++ src/sas/qtgui/MainWindow/UnitTesting/DataExplorerTest.py	(revision 464cd0702ca4f47ed61d237d9acecd5975d8abac)
@@ -25,5 +25,6 @@
 import sas.qtgui.Plotting.PlotHelper as PlotHelper
 
-app = QApplication(sys.argv)
+if not QApplication.instance():
+    app = QApplication(sys.argv)
 
 class DataExplorerTest(unittest.TestCase):
@@ -441,5 +442,5 @@
         # Click on the Help button
         QTest.mouseClick(button1, Qt.LeftButton)
-        qApp.processEvents()
+        QtGui.qApp.processEvents()
 
         # Check the browser
@@ -450,5 +451,5 @@
         # Click on the Help_2 button
         QTest.mouseClick(button2, Qt.LeftButton)
-        qApp.processEvents()
+        QtGui.qApp.processEvents()
         # Check the browser
         self.assertIn(partial_url, str(self.form._helpView.url()))
Index: src/sas/qtgui/MainWindow/UnitTesting/DroppableDataLoadWidgetTest.py
===================================================================
--- src/sas/qtgui/MainWindow/UnitTesting/DroppableDataLoadWidgetTest.py	(revision 83eb5208b8acb86b064162274de583670f72da47)
+++ src/sas/qtgui/MainWindow/UnitTesting/DroppableDataLoadWidgetTest.py	(revision 464cd0702ca4f47ed61d237d9acecd5975d8abac)
@@ -13,5 +13,6 @@
 from sas.qtgui.UnitTesting.TestUtils import QtSignalSpy
 
-app = QApplication(sys.argv)
+if not QApplication.instance():
+    app = QApplication(sys.argv)
 
 class DroppableDataLoadWidgetTest(unittest.TestCase):
Index: src/sas/qtgui/MainWindow/UnitTesting/GuiManagerTest.py
===================================================================
--- src/sas/qtgui/MainWindow/UnitTesting/GuiManagerTest.py	(revision 83eb5208b8acb86b064162274de583670f72da47)
+++ src/sas/qtgui/MainWindow/UnitTesting/GuiManagerTest.py	(revision 464cd0702ca4f47ed61d237d9acecd5975d8abac)
@@ -24,5 +24,6 @@
 from sas.qtgui.UnitTesting.TestUtils import QtSignalSpy
 
-app = QApplication(sys.argv)
+if not QApplication.instance():
+    app = QApplication(sys.argv)
 
 class GuiManagerTest(unittest.TestCase):
Index: src/sas/qtgui/MainWindow/UnitTesting/MainWindowTest.py
===================================================================
--- src/sas/qtgui/MainWindow/UnitTesting/MainWindowTest.py	(revision 83eb5208b8acb86b064162274de583670f72da47)
+++ src/sas/qtgui/MainWindow/UnitTesting/MainWindowTest.py	(revision 464cd0702ca4f47ed61d237d9acecd5975d8abac)
@@ -14,5 +14,6 @@
 from sas.qtgui.MainWindow.MainWindow import SplashScreen
 
-app = QtGui.QApplication(sys.argv)
+if not QtGui.QApplication.instance():
+    app = QtGui.QApplication(sys.argv)
 
 class MainWindowTest(unittest.TestCase):
Index: src/sas/qtgui/MainWindow/UnitTesting/WelcomePanelTest.py
===================================================================
--- src/sas/qtgui/MainWindow/UnitTesting/WelcomePanelTest.py	(revision 83eb5208b8acb86b064162274de583670f72da47)
+++ src/sas/qtgui/MainWindow/UnitTesting/WelcomePanelTest.py	(revision 464cd0702ca4f47ed61d237d9acecd5975d8abac)
@@ -10,5 +10,6 @@
 from sas.qtgui.MainWindow.WelcomePanel import WelcomePanel
 
-app = QtGui.QApplication(sys.argv)
+if not QtGui.QApplication.instance():
+    app = QtGui.QApplication(sys.argv)
 
 class WelcomePanelTest(unittest.TestCase):
Index: src/sas/qtgui/Perspectives/Fitting/UnitTesting/FittingLogicTest.py
===================================================================
--- src/sas/qtgui/Perspectives/Fitting/UnitTesting/FittingLogicTest.py	(revision dc5ef150e8b37e01a3b7e253eb5b66d3b82de99c)
+++ src/sas/qtgui/Perspectives/Fitting/UnitTesting/FittingLogicTest.py	(revision 464cd0702ca4f47ed61d237d9acecd5975d8abac)
@@ -13,5 +13,6 @@
 from sas.qtgui.Plotting.PlotterData import Data1D
 
-app = QtGui.QApplication(sys.argv)
+if not QtGui.QApplication.instance():
+    app = QtGui.QApplication(sys.argv)
 
 
Index: src/sas/qtgui/Perspectives/Fitting/UnitTesting/FittingOptionsTest.py
===================================================================
--- src/sas/qtgui/Perspectives/Fitting/UnitTesting/FittingOptionsTest.py	(revision 377ade1f23aac6c56560870af2702bff99586386)
+++ src/sas/qtgui/Perspectives/Fitting/UnitTesting/FittingOptionsTest.py	(revision 464cd0702ca4f47ed61d237d9acecd5975d8abac)
@@ -16,5 +16,6 @@
 from sas.qtgui.Perspectives.Fitting.FittingOptions import FittingOptions
 
-app = QtGui.QApplication(sys.argv)
+if not QtGui.QApplication.instance():
+    app = QtGui.QApplication(sys.argv)
 
 class FittingOptionsTest(unittest.TestCase):
Index: src/sas/qtgui/Perspectives/Fitting/UnitTesting/FittingPerspectiveTest.py
===================================================================
--- src/sas/qtgui/Perspectives/Fitting/UnitTesting/FittingPerspectiveTest.py	(revision 0e4d87c344fb1882e5f329b3ee92022d3338c72d)
+++ src/sas/qtgui/Perspectives/Fitting/UnitTesting/FittingPerspectiveTest.py	(revision 464cd0702ca4f47ed61d237d9acecd5975d8abac)
@@ -16,5 +16,6 @@
 from sas.qtgui.Perspectives.Fitting.FittingPerspective import FittingWindow
 
-app = QtGui.QApplication(sys.argv)
+if not QtGui.QApplication.instance():
+    app = QtGui.QApplication(sys.argv)
 
 class FittingPerspectiveTest(unittest.TestCase):
Index: src/sas/qtgui/Perspectives/Fitting/UnitTesting/FittingWidgetTest.py
===================================================================
--- src/sas/qtgui/Perspectives/Fitting/UnitTesting/FittingWidgetTest.py	(revision 377ade1f23aac6c56560870af2702bff99586386)
+++ src/sas/qtgui/Perspectives/Fitting/UnitTesting/FittingWidgetTest.py	(revision 464cd0702ca4f47ed61d237d9acecd5975d8abac)
@@ -20,5 +20,6 @@
 from sas.qtgui.Plotting.PlotterData import Data2D
 
-app = QtGui.QApplication(sys.argv)
+if not QtGui.QApplication.instance():
+    app = QtGui.QApplication(sys.argv)
 
 class dummy_manager(object):
Index: src/sas/qtgui/Plotting/UnitTesting/AddTextTest.py
===================================================================
--- src/sas/qtgui/Plotting/UnitTesting/AddTextTest.py	(revision 83eb5208b8acb86b064162274de583670f72da47)
+++ src/sas/qtgui/Plotting/UnitTesting/AddTextTest.py	(revision 464cd0702ca4f47ed61d237d9acecd5975d8abac)
@@ -11,5 +11,6 @@
 from sas.qtgui.Plotting.AddText import AddText
 
-app = QtGui.QApplication(sys.argv)
+if not QtGui.QApplication.instance():
+    app = QtGui.QApplication(sys.argv)
 
 class AddTextTest(unittest.TestCase):
Index: src/sas/qtgui/Plotting/UnitTesting/BoxSumTest.py
===================================================================
--- src/sas/qtgui/Plotting/UnitTesting/BoxSumTest.py	(revision 83eb5208b8acb86b064162274de583670f72da47)
+++ src/sas/qtgui/Plotting/UnitTesting/BoxSumTest.py	(revision 464cd0702ca4f47ed61d237d9acecd5975d8abac)
@@ -12,5 +12,6 @@
 from sas.qtgui.Plotting.BoxSum import BoxSum
 
-app = QtGui.QApplication(sys.argv)
+if not QtGui.QApplication.instance():
+    app = QtGui.QApplication(sys.argv)
 
 class BoxSumTest(unittest.TestCase):
Index: src/sas/qtgui/Plotting/UnitTesting/ColorMapTest.py
===================================================================
--- src/sas/qtgui/Plotting/UnitTesting/ColorMapTest.py	(revision dc5ef150e8b37e01a3b7e253eb5b66d3b82de99c)
+++ src/sas/qtgui/Plotting/UnitTesting/ColorMapTest.py	(revision 464cd0702ca4f47ed61d237d9acecd5975d8abac)
@@ -18,5 +18,6 @@
 from sas.qtgui.Plotting.ColorMap import ColorMap
 
-app = QtGui.QApplication(sys.argv)
+if not QtGui.QApplication.instance():
+    app = QtGui.QApplication(sys.argv)
 
 class ColorMapTest(unittest.TestCase):
Index: src/sas/qtgui/Plotting/UnitTesting/LinearFitTest.py
===================================================================
--- src/sas/qtgui/Plotting/UnitTesting/LinearFitTest.py	(revision dc5ef150e8b37e01a3b7e253eb5b66d3b82de99c)
+++ src/sas/qtgui/Plotting/UnitTesting/LinearFitTest.py	(revision 464cd0702ca4f47ed61d237d9acecd5975d8abac)
@@ -15,5 +15,6 @@
 from sas.qtgui.Plotting.LinearFit import LinearFit
 
-app = QtGui.QApplication(sys.argv)
+if not QtGui.QApplication.instance():
+    app = QtGui.QApplication(sys.argv)
 
 class LinearFitTest(unittest.TestCase):
Index: src/sas/qtgui/Plotting/UnitTesting/PlotPropertiesTest.py
===================================================================
--- src/sas/qtgui/Plotting/UnitTesting/PlotPropertiesTest.py	(revision 83eb5208b8acb86b064162274de583670f72da47)
+++ src/sas/qtgui/Plotting/UnitTesting/PlotPropertiesTest.py	(revision 464cd0702ca4f47ed61d237d9acecd5975d8abac)
@@ -11,5 +11,6 @@
 from sas.qtgui.Plotting.PlotProperties import PlotProperties
 
-app = QtGui.QApplication(sys.argv)
+if not QtGui.QApplication.instance():
+    app = QtGui.QApplication(sys.argv)
 
 class PlotPropertiesTest(unittest.TestCase):
Index: src/sas/qtgui/Plotting/UnitTesting/Plotter2DTest.py
===================================================================
--- src/sas/qtgui/Plotting/UnitTesting/Plotter2DTest.py	(revision dc5ef150e8b37e01a3b7e253eb5b66d3b82de99c)
+++ src/sas/qtgui/Plotting/UnitTesting/Plotter2DTest.py	(revision 464cd0702ca4f47ed61d237d9acecd5975d8abac)
@@ -19,5 +19,6 @@
 import sas.qtgui.Plotting.Plotter2D as Plotter2D
 
-app = QtGui.QApplication(sys.argv)
+if not QtGui.QApplication.instance():
+    app = QtGui.QApplication(sys.argv)
 
 class Plotter2DTest(unittest.TestCase):
@@ -159,5 +160,5 @@
         def done():
             self.clipboard_called = True
-        QtCore.QObject.connect(app.clipboard(), QtCore.SIGNAL("dataChanged()"), done)
+        QtCore.QObject.connect(QtGui.qApp.clipboard(), QtCore.SIGNAL("dataChanged()"), done)
         actions[2].trigger()
         QtGui.qApp.processEvents()
Index: src/sas/qtgui/Plotting/UnitTesting/PlotterBaseTest.py
===================================================================
--- src/sas/qtgui/Plotting/UnitTesting/PlotterBaseTest.py	(revision dc5ef150e8b37e01a3b7e253eb5b66d3b82de99c)
+++ src/sas/qtgui/Plotting/UnitTesting/PlotterBaseTest.py	(revision 464cd0702ca4f47ed61d237d9acecd5975d8abac)
@@ -20,5 +20,6 @@
 import sas.qtgui.Plotting.PlotterBase as PlotterBase
 
-app = QtGui.QApplication(sys.argv)
+if not QtGui.QApplication.instance():
+    app = QtGui.QApplication(sys.argv)
 
 class PlotterBaseTest(unittest.TestCase):
@@ -149,5 +150,5 @@
         def done():
             self.clipboard_called = True
-        QtCore.QObject.connect(app.clipboard(), QtCore.SIGNAL("dataChanged()"), done)
+        QtCore.QObject.connect(QtGui.qApp.clipboard(), QtCore.SIGNAL("dataChanged()"), done)
         actions[2].trigger()
         QtGui.qApp.processEvents()
Index: src/sas/qtgui/Plotting/UnitTesting/PlotterTest.py
===================================================================
--- src/sas/qtgui/Plotting/UnitTesting/PlotterTest.py	(revision dc5ef150e8b37e01a3b7e253eb5b66d3b82de99c)
+++ src/sas/qtgui/Plotting/UnitTesting/PlotterTest.py	(revision 464cd0702ca4f47ed61d237d9acecd5975d8abac)
@@ -20,5 +20,6 @@
 import sas.qtgui.Plotting.Plotter as Plotter
 
-app = QtGui.QApplication(sys.argv)
+if not QtGui.QApplication.instance():
+    app = QtGui.QApplication(sys.argv)
 
 
@@ -97,5 +98,5 @@
         def done():
             self.clipboard_called = True
-        QtCore.QObject.connect(app.clipboard(), QtCore.SIGNAL("dataChanged()"), done)
+        QtCore.QObject.connect(QtGui.qApp.clipboard(), QtCore.SIGNAL("dataChanged()"), done)
         actions[2].trigger()
         QtGui.qApp.processEvents()
Index: src/sas/qtgui/Plotting/UnitTesting/ScalePropertiesTest.py
===================================================================
--- src/sas/qtgui/Plotting/UnitTesting/ScalePropertiesTest.py	(revision 83eb5208b8acb86b064162274de583670f72da47)
+++ src/sas/qtgui/Plotting/UnitTesting/ScalePropertiesTest.py	(revision 464cd0702ca4f47ed61d237d9acecd5975d8abac)
@@ -10,5 +10,6 @@
 from sas.qtgui.Plotting.ScaleProperties import ScaleProperties
 
-app = QtGui.QApplication(sys.argv)
+if not QtGui.QApplication.instance():
+    app = QtGui.QApplication(sys.argv)
 
 class ScalePropertiesTest(unittest.TestCase):
Index: src/sas/qtgui/Plotting/UnitTesting/SetGraphRangeTest.py
===================================================================
--- src/sas/qtgui/Plotting/UnitTesting/SetGraphRangeTest.py	(revision 83eb5208b8acb86b064162274de583670f72da47)
+++ src/sas/qtgui/Plotting/UnitTesting/SetGraphRangeTest.py	(revision 464cd0702ca4f47ed61d237d9acecd5975d8abac)
@@ -10,5 +10,6 @@
 from sas.qtgui.Plotting.SetGraphRange import SetGraphRange
 
-app = QtGui.QApplication(sys.argv)
+if not QtGui.QApplication.instance():
+    app = QtGui.QApplication(sys.argv)
 
 class SetGraphRangeTest(unittest.TestCase):
Index: src/sas/qtgui/Plotting/UnitTesting/SlicerModelTest.py
===================================================================
--- src/sas/qtgui/Plotting/UnitTesting/SlicerModelTest.py	(revision 83eb5208b8acb86b064162274de583670f72da47)
+++ src/sas/qtgui/Plotting/UnitTesting/SlicerModelTest.py	(revision 464cd0702ca4f47ed61d237d9acecd5975d8abac)
@@ -12,5 +12,6 @@
 from sas.qtgui.Plotting.SlicerModel import SlicerModel
 
-app = QtGui.QApplication(sys.argv)
+if not QtGui.QApplication.instance():
+    app = QtGui.QApplication(sys.argv)
 
 class SlicerModelTest(unittest.TestCase):
Index: src/sas/qtgui/Plotting/UnitTesting/SlicerParametersTest.py
===================================================================
--- src/sas/qtgui/Plotting/UnitTesting/SlicerParametersTest.py	(revision 83eb5208b8acb86b064162274de583670f72da47)
+++ src/sas/qtgui/Plotting/UnitTesting/SlicerParametersTest.py	(revision 464cd0702ca4f47ed61d237d9acecd5975d8abac)
@@ -18,5 +18,6 @@
 from sas.qtgui.Plotting.SlicerParameters import SlicerParameters
 
-app = QtGui.QApplication(sys.argv)
+if not QtGui.QApplication.instance():
+    app = QtGui.QApplication(sys.argv)
 
 class SlicerParametersTest(unittest.TestCase):
Index: src/sas/qtgui/Plotting/UnitTesting/WindowTitleTest.py
===================================================================
--- src/sas/qtgui/Plotting/UnitTesting/WindowTitleTest.py	(revision 83eb5208b8acb86b064162274de583670f72da47)
+++ src/sas/qtgui/Plotting/UnitTesting/WindowTitleTest.py	(revision 464cd0702ca4f47ed61d237d9acecd5975d8abac)
@@ -10,5 +10,6 @@
 from sas.qtgui.Plotting.WindowTitle import WindowTitle
 
-app = QtGui.QApplication(sys.argv)
+if not QtGui.QApplication.instance():
+    app = QtGui.QApplication(sys.argv)
 
 class WindowTitleTest(unittest.TestCase):
@@ -32,5 +33,5 @@
         '''Modify the title'''
         self.widget.show()
-        app.processEvents()
+        QtGui.qApp.processEvents()
         # make sure we have the pre-set title
         self.assertEqual(self.widget.txtTitle.text(), "some title")
@@ -38,5 +39,5 @@
         self.widget.txtTitle.clear()
         self.widget.txtTitle.setText("5 elephants")
-        app.processEvents()
+        QtGui.qApp.processEvents()
         # Retrieve value
         new_title = self.widget.title()
Index: src/sas/qtgui/UnitTesting/TestUtilsTest.py
===================================================================
--- src/sas/qtgui/UnitTesting/TestUtilsTest.py	(revision 83eb5208b8acb86b064162274de583670f72da47)
+++ src/sas/qtgui/UnitTesting/TestUtilsTest.py	(revision 464cd0702ca4f47ed61d237d9acecd5975d8abac)
@@ -11,5 +11,6 @@
 from sas.qtgui.UnitTesting.TestUtils import *
 
-app = QApplication(sys.argv)
+if not QApplication.instance():
+    app = QApplication(sys.argv)
 
 class TestUtilsTest(unittest.TestCase):
Index: src/sas/qtgui/Utilities/UnitTesting/GuiUtilsTest.py
===================================================================
--- src/sas/qtgui/Utilities/UnitTesting/GuiUtilsTest.py	(revision dc5ef150e8b37e01a3b7e253eb5b66d3b82de99c)
+++ src/sas/qtgui/Utilities/UnitTesting/GuiUtilsTest.py	(revision 464cd0702ca4f47ed61d237d9acecd5975d8abac)
@@ -19,5 +19,6 @@
 from sas.qtgui.Utilities.GuiUtils import *
 
-app = QtGui.QApplication(sys.argv)
+if not QtGui.QApplication.instance():
+    app = QtGui.QApplication(sys.argv)
 
 class GuiUtilsTest(unittest.TestCase):
Index: src/sas/qtgui/Utilities/UnitTesting/SasviewLoggerTest.py
===================================================================
--- src/sas/qtgui/Utilities/UnitTesting/SasviewLoggerTest.py	(revision 83eb5208b8acb86b064162274de583670f72da47)
+++ src/sas/qtgui/Utilities/UnitTesting/SasviewLoggerTest.py	(revision 464cd0702ca4f47ed61d237d9acecd5975d8abac)
@@ -13,5 +13,6 @@
 from sas.qtgui.Utilities.SasviewLogger import QtHandler
 
-app = QApplication(sys.argv)
+if not QApplication.instance():
+    app = QApplication(sys.argv)
 
 class SasviewLoggerTest(unittest.TestCase):